Debian Bug report logs - #598866
[linux-image-2.6-amd64] BUG: unable to handle kernel NULL pointer dereference at (null) when X starts with xorg.conf

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Baggett Jonas <Jonas.Baggett@edu.hefr.ch>

Date: Sat, 2 Oct 2010 17:27:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 597636

Found in version 2.6.32-23

Fixed in version linux-2.6/2.6.32-24

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=29834

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598866; Package linux-image-2.6-amd64. (Sat, 02 Oct 2010 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baggett Jonas <Jonas.Baggett@edu.hefr.ch>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Baggett Jonas <Jonas.Baggett@edu.hefr.ch>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: [linux-image-2.6-amd64] BUG: unable to handle kernel NULL pointer dereference at (null) when X starts with xorg.conf
Date: Sat, 2 Oct 2010 19:24:45 +0200
Package: linux-image-2.6-amd64
Version: 2.6.32+28
Severity: important

--- Please enter the report below this line. ---

Hello

I have installed debian testing AMD64 yesterday from a CD and after the first reboot,
I had a black screen when gdm tried to start.
Uninstalling xserver-xorg-video-ati fixed the problem for me.
Then I needed to create a xorg.conf in order to be able to be able to use dual
screens and I wanted to test the xorg.conf generated by "Xorg -configure"
with gdm, but I also had a black screen and can't use the keyboard anymore except
with the magic keys. I was then able to enter raw mode and get the following
messages from dmesg :

[   14.561465] Bridge firewalling registered
[   14.577850] Bluetooth: SCO (Voice Link) ver 0.6
[   14.577852] Bluetooth: SCO socket layer initialized
[   14.765427] BUG: unable to handle kernel NULL pointer dereference at (null)
[   14.765434] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   14.765458] PGD 12e1d3067 PUD 12cd46067 PMD 0
[   14.765464] Oops: 0000 [#1] SMP
[   14.765468] last sysfs file: /sys/devices/virtual/net/lo/operstate
[   14.765472] CPU 5
[   14.765475] Modules linked in: sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   14.765549] Pid: 1792, comm: Xorg Not tainted 2.6.32-5-amd64 #1
[   14.765553] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   14.765573] RSP: 0018:ffff88012e34dd70  EFLAGS: 00010246
[   14.765577] RAX: 0000000000000000 RBX: ffff88012e30ce00 RCX: 0000000000000000
[   14.765581] RDX: ffffc90005702f34 RSI: ffff88012e30ce00 RDI: ffff88012c3be000
[   14.765585] RBP: ffff88012dc106c0 R08: ffff88012e30ce80 R09: 00000000c0086464
[   14.765588] R10: 0000000000000001 R11: 000000032e34dd7c R12: 0000000000000000
[   14.765592] R13: ffff88012c0ae000 R14: ffff88012e296600 R15: ffff88012c0ae000
[   14.765597] FS:  00007fed4a32e700(0000) GS:ffff8800054a0000(0000) knlGS:0000000000000000
[   14.765601] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   14.765605] CR2: 0000000000000000 CR3: 000000012c502000 CR4: 00000000000006e0
[   14.765609] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   14.765613] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   14.765617] Process Xorg (pid: 1792, threadinfo ffff88012e34c000, task ffff88012dc1f810)
[   14.765620] Stack:
[   14.765622]  ffffffffa032ab0c ffff88012dc106c0 ffff88012e34dde8 00007fff865100a0
[   14.765628] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   14.765634] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007fff86510190
[   14.765641] Call Trace:
[   14.765662]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   14.765674]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   14.765683]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   14.765704]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   14.765710]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   14.765716]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   14.765722]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   14.765727]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   14.765732]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   14.765738]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   14.765741] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   14.765784] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   14.765802]  RSP <ffff88012e34dd70>
[   14.765805] CR2: 0000000000000000
[   14.765808] ---[ end trace b4246ebb442c59dc ]---
[   14.766216] [drm:drm_release] *ERROR* Device busy: 1
[   15.016268] lp0: using parport0 (interrupt-driven).
[   15.018101] ppdev: user-space parallel port driver
[   15.074150] BUG: unable to handle kernel NULL pointer dereference at (null)
[   15.074153] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.074163] PGD 12e3d4067 PUD 12e1fb067 PMD 0
[   15.074165] Oops: 0000 [#2] SMP
[   15.074167] last sysfs file: /sys/module/parport_pc/initstate
[   15.074168] CPU 0
[   15.074169] Modules linked in: ppdev lp sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   15.074197] Pid: 1885, comm: Xorg Tainted: G      D    2.6.32-5-amd64 #1
[   15.074198] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.074205] RSP: 0018:ffff88012e1c5d70  EFLAGS: 00010246
[   15.074207] RAX: 0000000000000000 RBX: ffff88012dfa4600 RCX: 0000000000000000
[   15.074208] RDX: ffffc90005702f34 RSI: ffff88012dfa4600 RDI: ffff88012c3be000
[   15.074209] RBP: ffff88012e3c4000 R08: ffff88012dfa4680 R09: 00000000c0086464
[   15.074211] R10: 0000000000000001 R11: 000000032e1c5d7c R12: 0000000000000000
[   15.074212] R13: ffff88012c0ae000 R14: ffff88012e2e1c80 R15: ffff88012c0ae000
[   15.074214] FS:  00007f6565838700(0000) GS:ffff880005400000(0000) knlGS:0000000000000000
[   15.074215] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   15.074216] CR2: 0000000000000000 CR3: 000000012df43000 CR4: 00000000000006f0
[   15.074218] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   15.074219] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   15.074221] Process Xorg (pid: 1885, threadinfo ffff88012e1c4000, task ffff88012e3fa350)
[   15.074222] Stack:
[   15.074222]  ffffffffa032ab0c ffff88012e3c4000 ffff88012e1c5de8 00007ffff1961000
[   15.074224] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   15.074227] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007ffff19610f0
[   15.074229] Call Trace:
[   15.074237]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   15.074241]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   15.074245]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   15.074252]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   15.074255]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   15.074257]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   15.074260]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   15.074262]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   15.074264]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   15.074266]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   15.074267] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   15.074282] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.074289]  RSP <ffff88012e1c5d70>
[   15.074289] CR2: 0000000000000000
[   15.074291] ---[ end trace b4246ebb442c59dd ]---
[   15.074482] [drm:drm_release] *ERROR* Device busy: 1
[   15.365636] BUG: unable to handle kernel NULL pointer dereference at (null)
[   15.365639] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.365649] PGD 12e323067 PUD 12dfa0067 PMD 0
[   15.365651] Oops: 0000 [#3] SMP
[   15.365653] last sysfs file: /sys/devices/pci0000:00/0000:00:03.0/0000:01:00.0/boot_vga
[   15.365655] CPU 0
[   15.365656] Modules linked in: ppdev lp sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   15.365685] Pid: 1913, comm: Xorg Tainted: G      D    2.6.32-5-amd64 #1
[   15.365686] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.365694] RSP: 0018:ffff88012e25dd70  EFLAGS: 00010246
[   15.365695] RAX: 0000000000000000 RBX: ffff88012dfa6600 RCX: 0000000000000000
[   15.365696] RDX: ffffc90005702f34 RSI: ffff88012dfa6600 RDI: ffff88012c3be000
[   15.365698] RBP: ffff88012b85ca80 R08: ffff88012dfa6680 R09: 00000000c0086464
[   15.365699] R10: 0000000000000001 R11: 000000032e25dd7c R12: 0000000000000000
[   15.365700] R13: ffff88012c0ae000 R14: ffff88012df04900 R15: ffff88012c0ae000
[   15.365702] FS:  00007f6a94f7d700(0000) GS:ffff880005400000(0000) knlGS:0000000000000000
[   15.365704] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   15.365705] CR2: 0000000000000000 CR3: 000000012c515000 CR4: 00000000000006f0
[   15.365707] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   15.365708] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   15.365710] Process Xorg (pid: 1913, threadinfo ffff88012e25c000, task ffff88012e3ff810)
[   15.365711] Stack:
[   15.365711]  ffffffffa032ab0c ffff88012b85ca80 ffff88012e25dde8 00007fff7702f5c0
[   15.365714] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   15.365716] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007fff7702f6b0
[   15.365718] Call Trace:
[   15.365726]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   15.365731]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   15.365735]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   15.365743]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   15.365745]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   15.365747]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   15.365750]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   15.365752]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   15.365754]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   15.365757]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   15.365758] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   15.365773] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.365780]  RSP <ffff88012e25dd70>
[   15.365781] CR2: 0000000000000000
[   15.365782] ---[ end trace b4246ebb442c59de ]---
[   15.365944] [drm:drm_release] *ERROR* Device busy: 1
[   15.644288] BUG: unable to handle kernel NULL pointer dereference at (null)
[   15.644291] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.644301] PGD 12cc1c067 PUD 12e14e067 PMD 0
[   15.644303] Oops: 0000 [#4] SMP
[   15.644304] last sysfs file: /sys/devices/pci0000:00/0000:00:03.0/0000:01:00.0/boot_vga
[   15.644306] CPU 0
[   15.644307] Modules linked in: ppdev lp sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   15.644335] Pid: 1935, comm: Xorg Tainted: G      D    2.6.32-5-amd64 #1
[   15.644337] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.644344] RSP: 0018:ffff88012e36dd70  EFLAGS: 00010246
[   15.644345] RAX: 0000000000000000 RBX: ffff88012dfa5000 RCX: 0000000000000000
[   15.644346] RDX: ffffc90005702f34 RSI: ffff88012dfa5000 RDI: ffff88012c3be000
[   15.644348] RBP: ffff88012e296d80 R08: ffff88012dfa5080 R09: 00000000c0086464
[   15.644349] R10: 0000000000000001 R11: 000000032e36dd7c R12: 0000000000000000
[   15.644350] R13: ffff88012c0ae000 R14: ffff88012df2fb00 R15: ffff88012c0ae000
[   15.644352] FS:  00007f973c1d7700(0000) GS:ffff880005400000(0000) knlGS:0000000000000000
[   15.644353] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   15.644355] CR2: 0000000000000000 CR3: 000000012bba9000 CR4: 00000000000006f0
[   15.644356] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   15.644357] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   15.644359] Process Xorg (pid: 1935, threadinfo ffff88012e36c000, task ffff88012cf21c40)
[   15.644360] Stack:
[   15.644361]  ffffffffa032ab0c ffff88012e296d80 ffff88012e36dde8 00007fffde19ff90
[   15.644363] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   15.644365] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007fffde1a0080
[   15.644367] Call Trace:
[   15.644375]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   15.644380]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   15.644384]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   15.644391]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   15.644394]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   15.644396]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   15.644399]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   15.644401]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   15.644403]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   15.644405]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   15.644406] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   15.644421] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.644427]  RSP <ffff88012e36dd70>
[   15.644428] CR2: 0000000000000000
[   15.644429] ---[ end trace b4246ebb442c59df ]---
[   15.644576] [drm:drm_release] *ERROR* Device busy: 1
[   15.923694] BUG: unable to handle kernel NULL pointer dereference at (null)
[   15.923697] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.923707] PGD 12e2ec067 PUD 12e2e9067 PMD 0
[   15.923709] Oops: 0000 [#5] SMP
[   15.923710] last sysfs file: /sys/devices/pci0000:00/0000:00:03.0/0000:01:00.0/boot_vga
[   15.923712] CPU 0
[   15.923713] Modules linked in: ppdev lp sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   15.923740] Pid: 1944, comm: Xorg Tainted: G      D    2.6.32-5-amd64 #1
[   15.923742] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.923749] RSP: 0018:ffff88012dc7bd70  EFLAGS: 00010246
[   15.923750] RAX: 0000000000000000 RBX: ffff88012dfa4800 RCX: 0000000000000000
[   15.923751] RDX: ffffc90005702f34 RSI: ffff88012dfa4800 RDI: ffff88012c3be000
[   15.923753] RBP: ffff88012e240480 R08: ffff88012dfa4880 R09: 00000000c0086464
[   15.923754] R10: 0000000000000001 R11: 000000032dc7bd7c R12: 0000000000000000
[   15.923755] R13: ffff88012c0ae000 R14: ffff88012e241740 R15: ffff88012c0ae000
[   15.923757] FS:  00007ffa30d76700(0000) GS:ffff880005400000(0000) knlGS:0000000000000000
[   15.923758] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   15.923760] CR2: 0000000000000000 CR3: 000000012e1bc000 CR4: 00000000000006f0
[   15.923761] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   15.923762] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   15.923764] Process Xorg (pid: 1944, threadinfo ffff88012dc7a000, task ffff88012d00f810)
[   15.923765] Stack:
[   15.923766]  ffffffffa032ab0c ffff88012e240480 ffff88012dc7bde8 00007fff141785c0
[   15.923768] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   15.923770] <0> 000000000000e200 0000000000000001 ffffffff810e3f7b ffffea0004215b00
[   15.923772] Call Trace:
[   15.923780]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   15.923785]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   15.923789]  [<ffffffff810e3f7b>] ? get_partial_node+0x15/0x85
[   15.923796]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   15.923799]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   15.923801]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   15.923803]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   15.923805]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   15.923807]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   15.923809]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   15.923810] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   15.923825] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   15.923831]  RSP <ffff88012dc7bd70>
[   15.923832] CR2: 0000000000000000
[   15.923833] ---[ end trace b4246ebb442c59e0 ]---
[   15.923980] [drm:drm_release] *ERROR* Device busy: 1
[   16.203089] BUG: unable to handle kernel NULL pointer dereference at (null)
[   16.203091] IP: [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   16.203101] PGD 12df98067 PUD 12e1f6067 PMD 0
[   16.203103] Oops: 0000 [#6] SMP
[   16.203104] last sysfs file: /sys/devices/pci0000:00/0000:00:03.0/0000:01:00.0/boot_vga
[   16.203106] CPU 0
[   16.203107] Modules linked in: ppdev lp sco bridge stp bnep rfcomm l2cap bluetooth rfkill acpi_cpufreq cpufreq_powersave cpufreq_userspace cpufreq_conservative cpufreq_stats fuse radeon ttm drm_kms_helper drm i2c_algo_bit loop snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device i2c_i801 snd soundcore snd_page_alloc i2c_core parport_pc video output pcspkr button evdev parport psmouse processor serio_raw ext4 mbcache jbd2 crc16 sg sr_mod cdrom sd_mod crc_t10dif usbhid hid ata_piix ata_generic libata ehci_hcd e1000e scsi_mod usbcore nls_base thermal thermal_sys [last unloaded: scsi_wait_scan]
[   16.203135] Pid: 1948, comm: Xorg Tainted: G      D    2.6.32-5-amd64 #1
[   16.203136] RIP: 0010:[<ffffffffa0344933>]  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   16.203143] RSP: 0018:ffff88012dc95d70  EFLAGS: 00010246
[   16.203144] RAX: 0000000000000000 RBX: ffff88012dfa4200 RCX: 0000000000000000
[   16.203146] RDX: ffffc90005702f34 RSI: ffff88012dfa4200 RDI: ffff88012c3be000
[   16.203147] RBP: ffff88012e20f680 R08: ffff88012dfa4280 R09: 00000000c0086464
[   16.203148] R10: 0000000000000001 R11: 000000032dc95d7c R12: 0000000000000000
[   16.203150] R13: ffff88012c0ae000 R14: ffff88012e20e600 R15: ffff88012c0ae000
[   16.203151] FS:  00007f9f4cc46700(0000) GS:ffff880005400000(0000) knlGS:0000000000000000
[   16.203153] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   16.203154] CR2: 0000000000000000 CR3: 000000012df8d000 CR4: 00000000000006f0
[   16.203155] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   16.203157] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   16.203158] Process Xorg (pid: 1948, threadinfo ffff88012dc94000, task ffff88012e4e2350)
[   16.203159] Stack:
[   16.203160]  ffffffffa032ab0c ffff88012e20f680 ffff88012dc95de8 00007fffca25fc10
[   16.203162] <0> ffffffffa0375d90 00000000c0086464 ffffffffa02c6f5c ffff880100000064
[   16.203164] <0> 000000000000e200 0000000000000001 ffffffff810ca3c2 00007fffca25fd00
[   16.203167] Call Trace:
[   16.203175]  [<ffffffffa032ab0c>] ? radeon_gem_wait_idle_ioctl+0x5d/0x8b [radeon]
[   16.203179]  [<ffffffffa02c6f5c>] ? drm_ioctl+0x259/0x30d [drm]
[   16.203183]  [<ffffffff810ca3c2>] ? __do_fault+0x38c/0x3c3
[   16.203190]  [<ffffffffa032aaaf>] ? radeon_gem_wait_idle_ioctl+0x0/0x8b [radeon]
[   16.203192]  [<ffffffff810c338a>] ? vma_prio_tree_insert+0x20/0x3a
[   16.203194]  [<ffffffff810d035e>] ? vma_link+0x74/0x9a
[   16.203197]  [<ffffffff810fa032>] ? vfs_ioctl+0x21/0x6c
[   16.203199]  [<ffffffff810fa580>] ? do_vfs_ioctl+0x48d/0x4cb
[   16.203201]  [<ffffffff810fa60f>] ? sys_ioctl+0x51/0x70
[   16.203203]  [<ffffffff81010b42>] ? system_call_fastpath+0x16/0x1b
[   16.203204] Code: 8b 97 c8 00 00 00 76 0d 48 81 c2 34 2f 00 00 31 c0 89 02 eb 16 b8 34 2f 00 00 89 02 48 8b 87 c8 00 00 00 31 d2 48 83 c0 04 89 10 <8b> 01 c3 48 81 bf c0 00 00 00 80 54 00 00 48 8b 97 c8 00 00 00
[   16.203219] RIP  [<ffffffffa0344933>] r600_ioctl_wait_idle+0x49/0x89 [radeon]
[   16.203225]  RSP <ffff88012dc95d70>
[   16.203226] CR2: 0000000000000000
[   16.203227] ---[ end trace b4246ebb442c59e1 ]---
[   16.203368] [drm:drm_release] *ERROR* Device busy: 1
[   22.981084] eth0: no IPv6 routers present
[   35.290315] SysRq : Keyboard mode set to system default

The full output from dmesg is in attachement. I didn't find anything special in
the Xorg log file but it is also in attachement.

Here is the result of lspci :

00:00.0 Host bridge: Intel Corporation Core Processor DMI (rev 11)
00:03.0 PCI bridge: Intel Corporation Core Processor PCI Express Root Port 1 (rev 11)
00:08.0 System peripheral: Intel Corporation Core Processor System Management Registers (rev 11)
00:08.1 System peripheral: Intel Corporation Core Processor Semaphore and Scratchpad Registers (rev 11)
00:08.2 System peripheral: Intel Corporation Core Processor System Control and Status Registers (rev 11)
00:08.3 System peripheral: Intel Corporation Core Processor Miscellaneous Registers (rev 11)
00:10.0 System peripheral: Intel Corporation Core Processor QPI Link (rev 11)
00:10.1 System peripheral: Intel Corporation Core Processor QPI Routing and Protocol Registers (rev 11)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:16.2 IDE interface: Intel Corporation 5 Series/3400 Series Chipset PT IDER Controller (rev 06)
00:16.3 Serial controller: Intel Corporation 5 Series/3400 Series Chipset KT Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82578DC Gigabit Network Connection (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.5 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 2 port SATA IDE Controller (rev 06)
01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4350]
01:00.1 Audio device: ATI Technologies Inc RV710/730


--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-5-amd64

Debian Release: squeeze/sid
  990 testing         security.debian.org
  990 testing         ftp.ch.debian.org
  700 unstable        ftp.ch.debian.org
    1 experimental    ftp.ch.debian.org

--- Package information. ---
Depends                         (Version) | Installed
=========================================-+-===========
linux-image-2.6.32-5-amd64                | 2.6.32-23


Package's Recommends field is empty.

Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598866; Package linux-image-2.6-amd64. (Sat, 02 Oct 2010 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baggett Jonas <Jonas.Baggett@edu.hefr.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 17:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 598866@bugs.debian.org (full text, mbox):

From: Baggett Jonas <Jonas.Baggett@edu.hefr.ch>
To: "598866@bugs.debian.org" <598866@bugs.debian.org>
Subject: Attachements
Date: Sat, 2 Oct 2010 19:47:43 +0200
[Message part 1 (text/plain, inline)]
Here are the attachements :
[dmesg_gdm (application/octet-stream, attachment)]
[Xorg.0.log_gdm (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598866; Package linux-image-2.6-amd64. (Sat, 02 Oct 2010 19:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 19:30:06 GMT) Full text and rfc822 format available.

Message #15 received at 598866@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Baggett Jonas <Jonas.Baggett@edu.hefr.ch>, 598866@bugs.debian.org
Subject: Re: Bug#598866: [linux-image-2.6-amd64] BUG: unable to handle kernel NULL pointer dereference at (null) when X starts with xorg.conf
Date: Sat, 02 Oct 2010 20:26:57 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-10-02 at 19:24 +0200, Baggett Jonas wrote:
> Package: linux-image-2.6-amd64
> Version: 2.6.32+28
> Severity: important
> 
> --- Please enter the report below this line. ---
> 
> Hello
> 
> I have installed debian testing AMD64 yesterday from a CD and after the first reboot,
> I had a black screen when gdm tried to start.
> Uninstalling xserver-xorg-video-ati fixed the problem for me.
[...]

This is bug #597636, which has just been fixed.  Please upgrade to
linux-image-2.6.32-5-amd64 version 2.6.32-24.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-image-2.6-amd64' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 02 Oct 2010 19:30:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-latest-2.6/28. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 02 Oct 2010 19:30:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-23. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 02 Oct 2010 19:30:09 GMT) Full text and rfc822 format available.

Forcibly Merged 597636 598866. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 02 Oct 2010 19:30:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:55:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.